% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fastrInteropt.R
\name{as.external.short}
\alias{as.external.short}
\title{Marks a R value to be converted to short when passed over to a foreign language.}
\usage{
as.external.short(value)
}
\arguments{
\item{value}{a R value which can be converted to short}
}
\value{
An interop short value. Error in case the given value can't be converted to a short.
}
\description{
Marks a R value to be converted to short when passed over to a foreign language.
}
\examples{
javaShort <- as.external.short(123)

## used to pass a java short to a java method call
shortClass <- new.java.class('java.lang.Short')
shortClass$valueOf(javaShort)
}
\seealso{
\code{\link{as.external.byte}}, \code{\link{as.external.char}}, \code{\link{as.external.short}}, \code{\link{as.external.long}}
}
